Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class SourceTextNotAvailableException

- org.codehaus.groovy.runtime.powerassert.SourceTextNotAvailableException

-     public class SourceTextNotAvailableException
      extends RuntimeException

  Indicates that the source text for an assertion statement is not available.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)